@charset 'utf-8';

/* ========================================
   タイトル部分
======================================== */
.sec-title-b{
    gap: 10px;
}

@media screen and (max-width: 700px) {
    .sec-title-b{
        gap: 7px;
    }
}


/* ========================================
   タブ
======================================== */

.tab-wrap {
    display: flex;
    margin-bottom: 80px;
    border-bottom: 1px solid var(--color-line);
}

.tab-wrap label {
    position: relative;
    flex: 0 0 auto;
    cursor: pointer;
    width: 50%;
}

.tab-wrap input[type="radio"] {
    display: none;
}

.tab-wrap a {
    display: block;
    padding-bottom: 20px;
    text-align: center;
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 500;
    color: var(--color-line);
    text-decoration: none;
    transition: color 0.3s;
    border-bottom: 3px solid transparent;
}

.tab-wrap input[type="radio"]:checked + a {
    color: var(--color-corp);
    border-bottom-color: var(--color-corp);
}

.tab-wrap label:hover a {
    color: var(--color-corp);
}

@media screen and (max-width: 700px) {
    .tab-wrap {
        gap: 0;
        margin-bottom: 30px;
    }

    .tab-wrap label {
        flex: 1;
    }

    .tab-wrap a {
        font-size: calc(16px / var(--fs-base) * 1rem);
        text-align: center;
    }
}

/* ========================================
   社員紹介リスト
======================================== */
.message-list-wrap{
    margin-bottom: 50px;
}

.list-wrap .swiper-slide {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
    align-items: stretch;
}

.message-list-item{
    display: block;
    text-decoration: none;
    background: var(--color-sub);
}

.message-swiper-img {
    display: block;
    width: 100%;
    aspect-ratio: 242 / 242;
    overflow: hidden;
}

.message-swiper-img img {     
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover; 
    object-position: center;
}

.message-swiper-content {
    /* height: clamp(220px, 15.714vw, calc(220px * var(--ratio))); */
    width: 100%;
    padding: 30px;
    padding-top: clamp(30px, 2.143vw, calc(30px * var(--ratio)));
    box-sizing: border-box;
}

.message-swiper-text{
    margin-bottom: 20px;
}

.message-swiper-name .link-text {
    display: inline-block;
    color: var(--color-text);
    font-weight: 500;
    font-family: "Inter", sans-serif;
    background-image: linear-gradient(var(--color-text), var(--color-text));
    text-overflow: clip;
    margin-bottom: 10px;
    padding-bottom: 3px;
}

.message-swiper-position{
    font-size: clamp(12px, 0.86vw, calc(12px * var(--ratio)));
    line-height: calc(22/12);
    max-height: calc(1em * 1.83 * 4);
    overflow: hidden;
    text-overflow: clip;
    letter-spacing: 0.05em;
    font-weight: 500;
    color: var(--color-text);
}

.message-swiper-link-wrap {
    display: block;
    font-size: clamp(12px, 0.86vw, calc(12px * var(--ratio)));
    line-height: 1.83;
    max-height: calc(1em * 1.83 * 2);
    overflow: hidden;
    text-overflow: clip;
}

.message-swiper-link-wrap a:not(:last-child) {
    margin-right: 10px;
}

.message-swiper-link-wrap .link-hover-line {
    line-height: 1.83;
}

/* PC時は下線アニメーションを表示 */
@media screen and (min-width: 700px) {
    .message-list-item:hover .message-swiper-img{
        filter:  brightness(0.85);
    }

    .message-list-item:hover .message-swiper-name .link-text {
        background-size: 100% 1px;
    }
}

@media screen and (max-width: 1024px) {
    .list-wrap .swiper-slide {
        grid-template-columns: repeat(2, 1fr);
        gap: 20px 15px;
    }
}

@media screen and (max-width: 700px) {
    .message-list-wrap{
        margin-bottom: 30px;
    }

    .list-wrap .swiper-slide {
        display: flex;
        flex-direction: column;
        gap: 10px;
    }
    .message-swiper-link-wrap .link-hover-line{
        background: none;
    }

    .message-swiper-position{
        font-size: calc(12px / var(--fs-base) * 1rem);
    }
    .message-swiper-link-wrap a:not(:last-child) {
        margin-right: 5px;
    }
}

/* ナビゲーション */
.list-wrap .swiper-pagination {
    position: relative;
    margin: 30px 0;
    width: 100%;
    text-align: center;
    padding-bottom: 2px;
}
.list-wrap .swiper-pagination span {
    font-family: "Inter", sans-serif;
    font-size: clamp(14px, 1vw, calc(14px * var(--ratio)));
    font-weight: 400;
    color: var(--color-text);
}
.list-wrap .swiper-pagination span.current,
.list-wrap .swiper-pagination span.total {
    padding: 0 10px;
}
.list-wrap .swiper-pagination span.separator {
    display: inline-block;
    height: 0.85em;
    width: 1px;
    background: var(--color-text);
}
.list-wrap .pagination-button-next,
.list-wrap .pagination-button-prev {
    position: absolute;
    top: 50%;
    transform: translateY(-50%) translateX(-50%);
    width: 32px;
    height: 32px;
    border: 1px solid var(--color-text);
    border-radius: 50%;
    z-index: 10;
    cursor: pointer;
}
.list-wrap .pagination-button-next {
    left: calc(50% + 66px)
}
.list-wrap .pagination-button-prev {
    left: calc(50% - 66px)
}

.list-wrap .pagination-button-next:before,
.list-wrap .pagination-button-prev:before {
    content: "";
    position: absolute;
    top: calc(50% - 1px);
    width: 8px;
    height: 8px;
    transform: rotate(45deg) translate(-50%);
}
.list-wrap .pagination-button-next:before {
    border-top: 1px solid var(--color-text);
    border-right: 1px solid var(--color-text);
    right: calc(50% - 4px);
}
.list-wrap .pagination-button-prev:before {
    border-bottom: 1px solid var(--color-text);
    border-left: 1px solid var(--color-text);
    left: 50%;
}
@media screen and (min-width: 701px) {
    .list-wrap .pagination-button-next:hover,
    .list-wrap .pagination-button-prev:hover {
        background: var(--color-text);
    }
    .list-wrap .pagination-button-next:hover:before {
        border-top: 1px solid var(--color-text-sub);
        border-right: 1px solid var(--color-text-sub);
    }
    .list-wrap .pagination-button-prev:hover:before {
        border-bottom: 1px solid var(--color-text-sub);
        border-left: 1px solid var(--color-text-sub);
    }
}

/* ---------- 
btn-wrap
----------*/
.btn-wrap {
    margin-bottom: 80px;
}
@media screen and (max-width: 700px) {
    .btn-wrap {
        margin-bottom: 60px;
    }
}